HomeGuidesAPI Reference
API Reference

Update Branch

Update exist Branch, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Update an existing branch.


Endpoint

PUT https://demo-api.edfapay.com/api/v1/branches


Request Body

FieldTypeRequiredDescription
idUUIDYesBranch ID
nameStringNoBranch name
nameARStringNoArabic name
addressStringNoAddress
countryCodeStringNoCountry
cityIdIntegerNoCity
activeBooleanNoStatus

Request Example

curl --location --request PUT 'https://revamp-api.edfapay.com/api/v1/branches' \
--header 'X-API-KEY: <Your API Key>' \
--header 'Content-Type: application/json' \
--data '{
  "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "name": "Updated Branch",
  "nameAR": "تحديث",
  "address": "New Address",
  "countryCode": "818",
  "cityId": 8,
  "active": true
}'

Response Body

FieldTypeDescription
codeIntegerStatus
messageStringMessage
data.idUUIDBranch ID
data.nameStringName
data.nameARStringArabic name
data.addressStringAddress
data.countryCodeStringCountry
data.cityIdIntegerCity
data.activeBooleanStatus

Response Example

{
  "code": 200,
  "message": "Success",
  "data": {
    "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "Updated Branch",
    "nameAR": "تحديث",
    "address": "New Address",
    "countryCode": "818",
    "cityId": 8,
    "active": true
  }
}
Body Params
uuid
required
string
required
string
string
string
required
int32
boolean
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*